> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/playbackstate.md).

# PlaybackState

## Overview

PlaybackState는 Tween의 현재 상태를 나타내는 Enum입니다.

TweenBase의 PlaybackState 속성에서 사용되며, 트윈이 어떤 상태에 있는지를 나타냅니다.

## Items

| Name      | Value | Description                                                        |
| --------- | ----- | ------------------------------------------------------------------ |
| Begin     | 0     | Tween이 인스턴스화되었지만 아직 재생이 시작되지 않은 상태입니다. 이 상태에서는 재생이 자동으로 시작되지 않습니다. |
| Delayed   | 1     | Tween이 TweenInfo.DelayTime에 지정된 지연 시간만큼 대기 중인 상태입니다.               |
| Playing   | 2     | Tween이 현재 재생 중인 상태입니다.                                             |
| Paused    | 3     | Tween이 일시 정지된 상태입니다. 이후 재개가 가능합니다.                                 |
| Completed | 4     | Tween의 재생이 정상적으로 완료된 상태입니다.                                        |
| Cancelled | 5     | Tween이 완료되기 전에 중단된 상태입니다.                                          |

## See also

{% content-ref url="/pages/Qda1aYLnsfMBjTdB2cEI" %}
[TweenBase](/korean/development/api-reference/classes/tweenbase.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/playbackstate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
